Honduras
Civil validation service for Honduras. Performs Identity Verification against the data in the Civil Registry of Honduras.
Endpoint
POST /services/civilValidationHeaders
x-api-key
string
Yes
Access authorization API key.
family
string
No
Value: Onboarding. Required with the tracking service.
All calls to the Endpoints for Tracking with Identity Platform must contain the header family.
Full Validation Mobile
Performs data validation and facial matching against the Civil Registry of Honduras using the mobile platform.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "FULL".
platform
string
Yes
Platform from which the request is made. Value: "MOBILE".
tokenOcr
string
Yes
Token generated by the native or hybrid SelphID Widget, encrypted in AES256 and Tokenized, sent in Base64 format. It contains the OCR result of the captured Identity document.
templateRaw
string
Yes
Biometric Template generated by the Selphi Widget. Required for FACIAL or FULL operations.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
returnPII
boolean
No
Indicates whether the personal data generated by the OCR service and the response from the Civil Registry should be returned.
documentValidation
boolean
No
Indicates whether document validation should be started, returning scanReference and type.
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceFacialAuthenticationResult
integer
Code that indicates the result of facial matching. See Service Facial Authentication Result.
serviceFacialSimilarityResult
number
Value that indicates the facial similarity between the face in the document photo and the user's selfie. 1.0 = 100%.
serviceFacialAuthenticationHash
string
Integrity hash of the biometric template used in a positive or uncertain facial authentication.
serviceDocument
string
JSON string that represents the captured document. Its properties are all the fields extracted by the OCR process.
civilServiceData
string
JSON string with the personal data obtained from the Civil Registry (only returned if returnPII was sent as true in the request).
Response example
Full Validation Web
Performs data validation and facial matching against the Civil Registry of Honduras using the web platform.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "FULL".
platform
string
Yes
Platform from which the request is made. Value: "WEB".
imageFrontDocument
string
Yes
Front capture of the document, image in Base64 without the MIME type header. Required for the WEB platform.
imageBackDocument
string
Yes
Back capture of the document, image in Base64 without the MIME type header. Required for the WEB platform.
templateRaw
string
Yes
Biometric Template generated by the Selphi Widget. Required for FACIAL or FULL operations.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
returnPII
boolean
No
Indicates whether the personal data generated by the OCR service and the response from the Civil Registry should be returned.
documentValidation
boolean
No
Indicates whether document validation should be started, returning scanReference and type.
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceFacialAuthenticationResult
integer
Code that indicates the result of facial matching. See Service Facial Authentication Result.
serviceFacialSimilarityResult
number
Value that indicates the facial similarity between the face in the document photo and the user's selfie. 1.0 = 100%.
serviceFacialAuthenticationHash
string
Integrity hash of the biometric template used in a positive or uncertain facial authentication.
serviceDocument
string
JSON string that represents the captured document. Its properties are all the fields extracted by the OCR process.
civilServiceData
string
JSON string with the personal data obtained from the Civil Registry (only returned if returnPII was sent as true in the request).
Response example
Data Validation Mobile
Performs data validation against the Civil Registry of Honduras using the mobile platform. Does not include facial matching.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "DATA".
platform
string
Yes
Platform from which the request is made. Value: "MOBILE".
tokenOcr
string
Yes
Token generated by the native or hybrid SelphID Widget, encrypted in AES256 and Tokenized, sent in Base64 format. It contains the OCR result of the captured Identity document.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
returnPII
boolean
No
Indicates whether the personal data generated by the OCR service and the response from the Civil Registry should be returned.
documentValidation
boolean
No
Indicates whether document validation should be started, returning scanReference and type.
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceDocument
string
JSON string that represents the captured document. Its properties are all the fields extracted by the OCR process.
civilServiceData
string
JSON string with the personal data obtained from the Civil Registry (only returned if returnPII was sent as true in the request).
Response example
Data Validation Web
Performs data validation against the Civil Registry of Honduras using the web platform. Does not include facial matching.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "DATA".
platform
string
Yes
Platform from which the request is made. Value: "WEB".
imageFrontDocument
string
Yes
Front capture of the document, image in Base64 without the MIME type header. Required for the WEB platform.
imageBackDocument
string
Yes
Back capture of the document, image in Base64 without the MIME type header. Required for the WEB platform.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
returnPII
boolean
No
Indicates whether the personal data generated by the OCR service and the response from the Civil Registry should be returned.
documentValidation
boolean
No
Indicates whether document validation should be started, returning scanReference and type.
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceDocument
string
JSON string that represents the captured document. Its properties are all the fields extracted by the OCR process.
civilServiceData
string
JSON string with the personal data obtained from the Civil Registry (only returned if returnPII was sent as true in the request).
Response example
Facial Validation Mobile
Performs facial matching against the official images of the Civil Registry of Honduras using the mobile platform. Does not include data validation.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "FACIAL".
platform
string
Yes
Platform from which the request is made. Value: "MOBILE".
templateRaw
string
Yes
Biometric Template generated by the Selphi Widget. Required for FACIAL or FULL operations.
documentNumber
string
No
User document number. Required for FACIAL operations in Honduras.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceFacialAuthenticationResult
integer
Code that indicates the result of facial matching. See Service Facial Authentication Result.
serviceFacialSimilarityResult
number
Value that indicates the facial similarity between the face in the document photo and the user's selfie. 1.0 = 100%.
serviceFacialAuthenticationHash
string
Integrity hash of the biometric template used in a positive or uncertain facial authentication.
Response example
Facial Validation Web
Performs facial matching against the official images of the Civil Registry of Honduras using the web platform. Does not include data validation.
Request body
Content-Type: application/json
Parameters
operation
string
Yes
Validation operation to perform. Value: "FACIAL".
platform
string
Yes
Platform from which the request is made. Value: "WEB".
templateRaw
string
Yes
Biometric Template generated by the Selphi Widget. Required for FACIAL or FULL operations.
documentNumber
string
No
User document number. Required for FACIAL operations in Honduras.
countryCode
string
Yes
Country code in ISO 3166-1 alpha-3 format. Value: "HND".
tracking
object
No
Object that represents the necessary tracking information.
tracking.extraData
string
No
Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the Mobile/Web SDK.
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code.
serviceTime
string
Total processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
civilDataValidation
array
Array that represents OCR validations against the data obtained from the Civil Registry. Its presence depends on the Civil Registry queried.
civilDataValidation[].field
string
Name of the validated field (e.g., firstName, lastName, dateOfBirth).
civilDataValidation[].code
string
Validation result code. "0": Validated correctly. "-99": Possibly adulterated.
civilDataValidation[].message
string
Descriptive message of the validation result.
serviceFacialAuthenticationResult
integer
Code that indicates the result of facial matching. See Service Facial Authentication Result.
serviceFacialSimilarityResult
number
Value that indicates the facial similarity between the face in the document photo and the user's selfie. 1.0 = 100%.
serviceFacialAuthenticationHash
string
Integrity hash of the biometric template used in a positive or uncertain facial authentication.
Response example
Reference tables
Service Result Code
The serviceResultCode indicates the overall result of the service execution:
0
The service execution was successful, the module processed the request correctly.
200
Service Facial Authentication Result
The serviceFacialAuthenticationResult indicates the result of facial matching operations (only for FULL and FACIAL operations):
0
NONE
Facial verification could not be performed.
1
NEGATIVE
The process was executed correctly. The facial pattern comparison of the faces does not match.
3
POSITIVE
The process was executed correctly. The facial pattern comparison of the faces is positive. The value of serviceFacialSimilarityResult indicates the % of similarity between the compared images.
4
NONE BECAUSE POSE EXCEED
Facial verification could not be performed due to the position of the face.
5
NONE BECAUSE INVALID EXTRACTIONS
Facial verification could not be performed due to problems extracting the facial pattern.
Common errors
400 Bad Request
401 Unauthorized
403 Forbidden
502 Bad Gateway
504 Gateway Timeout
Last updated